Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 918431 - Review Request: percona-xtrabackup - online (non-blockable) backup solution for InnoDB and XtraDB engines
Summary: Review Request: percona-xtrabackup - online (non-blockable) backup solution f...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1025581 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2013-03-06 08:50 UTC by David Busby
Modified: 2015-08-16 07:10 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 01:58:40 UTC
karlthered: fedora-review-


Attachments (Terms of Use)

Description David Busby 2013-03-06 08:50:16 UTC
Spec URL: http://oneiroi.fedorapeople.org/percona/xtrabackup/percona-xtrabackup.spec
SRPM URL: http://oneiroi.fedorapeople.org/percona/xtrabackup/percona-xtrabackup-2.0.4-00.src.rpm
Description: 

Percona XtraBackup is OpenSource online (non-blockable) backup solution for InnoDB and XtraDB engines.
Fedora Account System Username: oneiroi

Hi,

percona-xtrabackup provides backup tools for MySQL InnoDB and XtraDB database engines, this tool allows for 'hot backup' to be made of said databases.

The tool will also backup MyISAM engine tables in a locking fasion.

Further documentation to be found here: http://www.percona.com/doc/percona-xtrabackup/

Comment 1 David Busby 2013-04-02 12:19:33 UTC
Please note a rework of the spec file is currently in progress here: http://oneiroi.fedorapeople.org/percona/xtrabackup/percona-xtrabackup.spec.epel to conform with packaging guidelines, this will replace the original spec file once complete I will update this request again.

Comment 2 Roel Van de Paar 2013-04-08 07:57:50 UTC
Hey David, any updates? Thanks!

Comment 3 David Busby 2013-04-08 08:01:51 UTC
Hey Roel,

Latest is: http://oneiroi.fedorapeople.org/percona/xtrabackup/percona-xtrabackup.spec.epel

Presently there is some debate w.r.t. patching of mysql sources needed for this package; there are two avenues at this time and I am awaiting on decision on these.

1) I suggested patches are applied as part of the RPM build; this is perfectly valid imo.

2) There is a possibility that there will be pre-patched sources made available for the purposes of build.

Once a consensus is reached on how to proceed, I can update the spec file accordingly and the submission process can continue.

Comment 4 Murray McAllister 2013-11-26 04:11:36 UTC
Not sure if this is the same tool as a bug 1025581, but 2.1.6 was released (https://bugzilla.novell.com/show_bug.cgi?id=852224) and fixes a possible security issue:

""
A fixed initialization vector (constant string) was used while encrypting
the data. This opened the encrypted stream/data to plaintext attacks among
others. Bug fixed #1185343.
""

Comment 6 Victoria Martinez de la Cruz 2015-08-11 15:20:00 UTC
*** Bug 1025581 has been marked as a duplicate of this bug. ***

Comment 7 Victoria Martinez de la Cruz 2015-08-11 15:24:23 UTC
Removing needinfo flag considering its an old request and there is a new .spec and build.

Comment 8 Haïkel Guémar 2015-08-12 01:58:40 UTC
@Pete: according the process, I must close this review as stalled, and I need you to create a new one. Feel free to assign it directly to me :)


Note You need to log in before you can comment on or make changes to this bug.